//////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file 
 * \version 5.2.1
 *

 * \brief Aggregation of source files to speed compilation.
 *
 * Compiling source files together results in much faster compiles.
 */
#include <DCT/System/config.h>

// These are included here because of a bug with ACE and Windows STL

#include <list>
#include <vector>
#include <set>
#include <deque>
#include <map>

#include <RTTC/EnvironmentalEffects/DisturbanceHistoryMessage/BasicImpl/CallbackInfo.cpp>
#include <RTTC/EnvironmentalEffects/DisturbanceHistoryMessage/BasicImpl/MessageCallbackFactoryImpl.cpp>
#include <RTTC/EnvironmentalEffects/DisturbanceHistoryMessage/BasicImpl/MessageCallbackImpl.cpp>
#include <RTTC/EnvironmentalEffects/DisturbanceHistoryMessage/BasicImpl/SubscriptionInfoImpl.cpp>
