//////////////////////////////////////////////////////////////////// -*- C++ -*-
/*! \file TENA/Platform/BasicImpl/PublicationInfoImpl.cpp
 * \version 5.2.1
 *
 * \brief Contains the definition of methods of
 * TENA::Platform::BasicImpl::PublicationInfoImpl.
 *
 * This file contains the definition of the methods of the
 * TENA::Platform::BasicImpl::PublicationInfoImpl class.
 */

#include "PublicationInfoImpl.h"

#include <TENA/Platform/RemoteMethodsFactoryInterface.h>


///////////////////////////////////////////////////////////////////////////////
TENA::Platform::BasicImpl::
PublicationInfoImpl::
PublicationInfoImpl()
:
  PublicationInfo(
    // No methods are defined, so no user-defined factory needed for this type.
    RemoteMethodsFactoryInterfacePtr(
      new TENA::Platform::RemoteMethodsFactoryInterface ) )
{
}

///////////////////////////////////////////////////////////////////////////////
TENA::Platform::BasicImpl::
PublicationInfoImpl::
~PublicationInfoImpl()
{
}
